import request from '@/utils/request'

// 查询百度外呼接口配置列表
export function listAiobBaiduCallApi(query) {
  return request({
    url: '/aiob/AiobBaiduCallApi/list',
    method: 'get',
    params: query
  })
}

// 查询百度外呼接口配置详细
export function getAiobBaiduCallApi(id) {
  return request({
    url: '/aiob/AiobBaiduCallApi/' + id,
    method: 'get'
  })
}

// 新增百度外呼接口配置
export function addAiobBaiduCallApi(data) {
  return request({
    url: '/aiob/AiobBaiduCallApi',
    method: 'post',
    data: data
  })
}

// 修改百度外呼接口配置
export function updateAiobBaiduCallApi(data) {
  return request({
    url: '/aiob/AiobBaiduCallApi',
    method: 'put',
    data: data
  })
}

// 删除百度外呼接口配置
export function delAiobBaiduCallApi(id) {
  return request({
    url: '/aiob/AiobBaiduCallApi/' + id,
    method: 'delete'
  })
}

// 导出百度外呼接口配置
export function exportAiobBaiduCallApi(query) {
  return request({
    url: '/aiob/AiobBaiduCallApi/export',
    method: 'get',
    params: query
  })
}